Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Kulkarni__Vinay
New Contributor I
231 Views

Openvino model optimizer gives errors

Hi,

   I am trying to install openvino R5 from Intel website as per the instructions.

When i tried running scripts of model optimizer, i get following errors :

sudo ./install_prerequisites.sh 
Hit:1 http://ppa.launchpad.net/teejee2008/ppa/ubuntu xenial InRelease
Hit:2 http://in.archive.ubuntu.com/ubuntu xenial InRelease                     
Ign:3 http://dl.google.com/linux/chrome/deb stable InRelease                   
Get:4 http://in.archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]    
Get:5 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]     
Hit:6 http://archive.canonical.com/ubuntu xenial InRelease                     
Hit:7 http://dl.google.com/linux/chrome/deb stable Release                     
Get:8 https://download.docker.com/linux/ubuntu xenial InRelease [66.2 kB]      
Get:9 http://in.archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]  
Hit:11 http://packages.microsoft.com/repos/vscode stable InRelease             
Err:8 https://download.docker.com/linux/ubuntu xenial InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 7EA0A9C3F273FCD8
Reading package lists... Done 
W: GPG error: https://download.docker.com/linux/ubuntu xenial InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 7EA0A9C3F273FCD8
E: The repository 'https://download.docker.com/linux/ubuntu xenial InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
Error on or near line 72; exiting with status 1
 

 

 

Any idea, how i can resolve this ?

 

Regards

Vinay

 

0 Kudos
7 Replies
Shubha_R_Intel
Employee
231 Views

Vinay this issue is unrelated to OpenVino. It's related to your environment as it relates to docker on Ubuntu. This particular docker issue is well documented on the Internet (see below).  It is possible to resolve this issue but you have to google the Internet and see what others did to resolve it.

https://github.com/moby/moby/issues/22599

https://github.com/moby/moby/issues/24493

Thanks,

Shubha

Kulkarni__Vinay
New Contributor I
231 Views

Hi Shubha,

      Thanks for helping. After few iterations i solved this problem. But i am now getting error while generating yolov3 frozen buffer to IR format.

I followed exactly the way it is described in intel blog for model optimizer. 

Can you please let me know what would be wrong here ?

My Json looks like this :

One question : Does Json needs to have all data after [Yolo] label ?

 

[
  {
    "id": "TFYOLOV3",
    "match_kind": "general",
    "custom_attributes": {
      "mask":[0,1,2],
      "anchors":[10,13,  16,30,  33,23,  30,61,  62,45,  59,119,  116,90,  156,198,  373,326],
      "classes": 80,
      "num": 9,
      "jitter":0.3 ,
      "ignore_thresh":0.7 ,
      "truth_thresh" : 1,
      "random": 1,
      "coords": 4,
      "entry_points": ["detector/yolo-v3/Reshape/shape", "detector/yolo-v3/Reshape_4/shape", "detector/yolo-v3/Reshape_8/shape"]
    }
  }
]
 

 

 

Errors are :

vinay@athena:/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer$ sudo python3 mo_tf.py --input_model /home/vinay/Documents/tensorflow-yolo-v3/frozen_darknet_yolov3_model.pb --tensorflow_use_custom_operations_config extensions/front/tf/yolo_v3.json
Model Optimizer arguments:
Common parameters:
    - Path to the Input Model:     /home/vinay/Documents/tensorflow-yolo-v3/frozen_darknet_yolov3_model.pb
    - Path for generated IR:     /opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/.
    - IR output name:     frozen_darknet_yolov3_model
    - Log level:     ERROR
    - Batch:     Not specified, inherited from the model
    - Input layers:     Not specified, inherited from the model
    - Output layers:     Not specified, inherited from the model
    - Input shapes:     Not specified, inherited from the model
    - Mean values:     Not specified
    - Scale values:     Not specified
    - Scale factor:     Not specified
    - Precision of IR:     FP32
    - Enable fusing:     True
    - Enable grouped convolutions fusing:     True
    - Move mean values to preprocess section:     False
    - Reverse input channels:     False
TensorFlow specific parameters:
    - Input model in text protobuf format:     False
    - Offload unsupported operations:     False
    - Path to model dump for TensorBoard:     None
    - List of shared libraries with TensorFlow custom layers implementation:     None
    - Update the configuration file with input/output node names:     None
    - Use configuration file used to generate the model with Object Detection API:     None
    - Operations to offload:     None
    - Patterns to offload:     None
    - Use the config file:     /opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/extensions/front/tf/yolo_v3.json
Model Optimizer version:     1.5.12.49d067a0
[ ERROR ]  -------------------------------------------------
[ ERROR ]  ----------------- INTERNAL ERROR ----------------
[ ERROR ]  Unexpected exception happened.
[ ERROR ]  Please contact Model Optimizer developers and forward the following information:
[ ERROR ]  Exception occurred during running replacer "TFYOLOV3 (<class 'extensions.front.tf.YOLO.YoloV3RegionAddon'>)": 0
[ ERROR ]  Traceback (most recent call last):
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 114, in apply_replacements
    replacer.find_and_replace_pattern(graph)
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/front/tf/replacement.py", line 50, in find_and_replace_pattern
    self.transform_graph(graph, desc._replacement_desc['custom_attributes'])
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/extensions/front/tf/YOLO.py", line 68, in transform_graph
    last_node = Node(graph, input_node_name).in_node(0)
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/graph/graph.py", line 329, in in_node
    return self.in_nodes(control_flow=control_flow)[key]
KeyError: 0

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/main.py", line 325, in main
    return driver(argv)
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/main.py", line 267, in driver
    mean_scale_values=mean_scale)
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/pipeline/tf.py", line 248, in tf2nx
    class_registration.apply_replacements(graph, class_registration.ClassType.FRONT_REPLACER)
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 127, in apply_replacements
    )) from err
Exception: Exception occurred during running replacer "TFYOLOV3 (<class 'extensions.front.tf.YOLO.YoloV3RegionAddon'>)": 0

[ ERROR ]  ---------------- END OF BUG REPORT --------------
[ ERROR ]  -------------------------------------------------
 

Kulkarni__Vinay
New Contributor I
231 Views

Gentle Reminder !

Shubha_R_Intel
Employee
231 Views

Dear Vinay,

Can you kindly check this dldt github post which I answered (regarding Yolo V3 and OpenVino) ?

Thanks !

https://github.com/opencv/dldt/issues/102

Hope it helps,

Shubha

Kulkarni__Vinay
New Contributor I
231 Views

Hi Shubha,

    I tried following your link, but no luck.

I am still getting errors :

Can you please share your Json , i have feeling that there is no clear instruction on how to feed the json.

 

vinay@athena:/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer$ sudo python3 mo_tf.py --input_model /home/vinay/Documents/tensorflow-yo
lo-v3/frozen_darknet_yolov3_model.pb --tensorflow_use_custom_operations_config extensions/front/tf/yolo_v3.json
[sudo] password for vinay: 
Model Optimizer arguments:
Common parameters:
    - Path to the Input Model:     /home/vinay/Documents/tensorflow-yolo-v3/frozen_darknet_yolov3_model.pb
    - Path for generated IR:     /opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/.
    - IR output name:     frozen_darknet_yolov3_model
    - Log level:     ERROR
    - Batch:     Not specified, inherited from the model
    - Input layers:     Not specified, inherited from the model
    - Output layers:     Not specified, inherited from the model
    - Input shapes:     Not specified, inherited from the model
    - Mean values:     Not specified
    - Scale values:     Not specified
    - Scale factor:     Not specified
    - Precision of IR:     FP32
    - Enable fusing:     True
    - Enable grouped convolutions fusing:     True
    - Move mean values to preprocess section:     False
    - Reverse input channels:     False
TensorFlow specific parameters:
    - Input model in text protobuf format:     False
    - Offload unsupported operations:     False
    - Path to model dump for TensorBoard:     None
    - List of shared libraries with TensorFlow custom layers implementation:     None
    - Update the configuration file with input/output node names:     None
    - Use configuration file used to generate the model with Object Detection API:     None
    - Operations to offload:     None
    - Patterns to offload:     None
    - Use the config file:     /opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/extensions/front/tf/yolo_v3.json
Model Optimizer version:     1.5.12.49d067a0
[ ERROR ]  -------------------------------------------------
[ ERROR ]  ----------------- INTERNAL ERROR ----------------
[ ERROR ]  Unexpected exception happened.
[ ERROR ]  Please contact Model Optimizer developers and forward the following information:
[ ERROR ]  Exception occurred during running replacer "TFYOLOV3 (<class 'extensions.front.tf.YOLO.YoloV3RegionAddon'>)": 0
[ ERROR ]  Traceback (most recent call last):
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 114, in apply_replacements
    replacer.find_and_replace_pattern(graph)
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/front/tf/replacement.py", line 50, in find_and_replace_pattern
    self.transform_graph(graph, desc._replacement_desc['custom_attributes'])
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/extensions/front/tf/YOLO.py", line 68, in transform_graph
    last_node = Node(graph, input_node_name).in_node(0)
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/graph/graph.py", line 329, in in_node
    return self.in_nodes(control_flow=control_flow)[key]
KeyError: 0

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/main.py", line 325, in main
    return driver(argv)
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/main.py", line 267, in driver
    mean_scale_values=mean_scale)
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/pipeline/tf.py", line 248, in tf2nx
    class_registration.apply_replacements(graph, class_registration.ClassType.FRONT_REPLACER)
  File "/opt/intel/computer_vision_sdk_2018.5.455/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 127, in apply_replacements
    )) from err
Exception: Exception occurred during running replacer "TFYOLOV3 (<class 'extensions.front.tf.YOLO.YoloV3RegionAddon'>)": 0

[ ERROR ]  ---------------- END OF BUG REPORT --------------
[ ERROR ]  -------------------------------------------------
 

 

 

Kulkarni__Vinay
New Contributor I
231 Views

Gentle Reminder !

Shubha_R_Intel
Employee
231 Views

Dear Vinay

please kindly download the latest OpenVino 2019 R1 release and try again. (I see that you are using an older release) Many customers are using yolo3 and it definitely worked fine in 2018 R5. Kindly follow this documentation yolo3 MO online doc as well as the discussion on https://github.com/opencv/dldt/issues/102

Thank you for using OpenVino !

Shubha

Reply